using ResourcesManager.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ResourcesManager.Interfaces
{
    public interface INotificationRepository : IDisposable
    {
        IEnumerable<Notification> GetNotifications();
        Notification GetNotificationByID(int id);
        bool InsertNotification(Notification notification);
        bool DeleteNotification(int id);
        bool UpdateNotification(Notification notification);
    }
}
